Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Birt 3.7 Maven repository
Birt 3.7 Maven repository [message #755795] Wed, 09 November 2011 15:42 Go to next message
Fabio Da Soghe is currently offline Fabio Da Soghe
Messages: 1
Registered: November 2011
Junior Member
Hello everybody.

I need to use BIRT Report Engine 3.7 in a web app, built with Gradle.

Gradle uses Maven repository to fetch dependencies, so I need to find all the jars/poms required in the Maven repo. I added the dependency, poms/jars were downloaded, then I got this runtime error:

org.eclipse.birt.report.engine.api.UnsupportedFormatException: The output format pdf is not supported.
	at org.eclipse.birt.report.engine.api.impl.EngineTask.setupRenderOption(EngineTask.java:1938)
	at org.eclipse.birt.report.engine.api.impl.RunAndRenderTask.doRun(RunAndRenderTask.java:96)
	at org.eclipse.birt.report.engine.api.impl.RunAndRenderTask.run(RunAndRenderTask.java:77)


As I'm new to BIRT, I had to do some investigation. It appears to me that the PDF emitter (which I need) isn't present in the Maven central repo, only the HTML one.

Is this correct or am I missing something? If that is the case, how can I do to get things working? Maybe upload all the required jars (maybe from BIRT Report Engine package) to a local Maven repo, then using it to fetch my BIRT-related project dependencies?

Thanks in advance for any hints.

Regards,

Fabio
Re: Birt 3.7 Maven repository [message #755867 is a reply to message #755795] Wed, 09 November 2011 21:46 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

We are currently working on getting the BIRT libs in an official Maven
Repo, but currently your best approach is to just use a local repo.

Jason

On 11/9/2011 10:42 AM, Fabio Da Soghe wrote:
> Hello everybody.
>
> I need to use BIRT Report Engine 3.7 in a web app, built with Gradle.
>
> Gradle uses Maven repository to fetch dependencies, so I need to find
> all the jars/poms required in the Maven repo. I added the dependency,
> poms/jars were downloaded, then I got this runtime error:
>
> org.eclipse.birt.report.engine.api.UnsupportedFormatException: The
> output format pdf is not supported.
> at
> org.eclipse.birt.report.engine.api.impl.EngineTask.setupRenderOption(EngineTask.java:1938)
>
> at
> org.eclipse.birt.report.engine.api.impl.RunAndRenderTask.doRun(RunAndRenderTask.java:96)
>
> at
> org.eclipse.birt.report.engine.api.impl.RunAndRenderTask.run(RunAndRenderTask.java:77)
>
>
> As I'm new to BIRT, I had to do some investigation. It appears to me
> that the PDF emitter (which I need) isn't present in the Maven central
> repo, only the HTML one.
>
> Is this correct or am I missing something? If that is the case, how can
> I do to get things working? Maybe upload all the required jars (maybe
> from BIRT Report Engine package) to a local Maven repo, then using it to
> fetch my BIRT-related project dependencies?
>
> Thanks in advance for any hints.
>
> Regards,
>
> Fabio
Re: Birt 3.7 Maven repository [message #757516 is a reply to message #755867] Fri, 18 November 2011 17:54 Go to previous messageGo to next message
koelle is currently offline koelle
Messages: 1
Registered: November 2011
Junior Member
Hi all,
what about:
h-ttp://wiki.eclipse.org/Maven_Tools_4_Eclipse

They are building maven.eclipse.com with that tool, there is even a Birt 2.6.2 in there. But since Birt 3.7 seams not to be part of Eclipse 3.7 it's not automatically there.

They even have a mode where maven central dependencies are used.

It might be easier to contact them and ask if they can push Birt 3.7 with that tool
into maven.eclipse.org.

Best wishes
stephan
Re: Birt 3.7 Maven repository [message #757839 is a reply to message #757516] Fri, 18 November 2011 22:20 Go to previous message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Stephan,

We will definately look in to this. BIRT 3.7 is part of the Eclipse
indigo release train. I wonder when 2.6.2 was uploaded?

Jason

On 11/18/2011 12:54 PM, koelle wrote:
> Hi all,
> what about:
> h-ttp://wiki.eclipse.org/Maven_Tools_4_Eclipse
> They are building maven.eclipse.com with that tool, there is even a Birt
> 2.6.2 in there. But since Birt 3.7 seams not to be part of Eclipse 3.7
> it's not automatically there.
>
> They even have a mode where maven central dependencies are used.
>
> It might be easier to contact them and ask if they can push Birt 3.7
> with that tool into maven.eclipse.org.
>
> Best wishes
> stephan
Previous Topic:Two Platforms
Next Topic:Is it possible to remove postscript option in Export Format window?
Goto Forum:
  


Current Time: Sun Oct 26 09:30:32 GMT 2014

Powered by FUDForum. Page generated in 0.01618 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software